package model

type Domain struct {
	Id           uint   `gorm:"primary_key;auto_increment"`
	Name         string `gorm:"type:varchar(255);not null"`
	Hosts        string `gorm:"type:varchar(255);not null"`
	Provider     string `gorm:"type:varchar(32);not null"`
	ProviderConf string `gorm:"type:text;not null"`
	AcmeEmail    string `gorm:"type:varchar(255);not null"`
	AcmePriKey   string `gorm:"type:text;not null"`
	Registration string `gorm:"type:text;not null"`
	Resource     string `gorm:"type:text;not null"`
}
